<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: release_docs.WikiBrancher Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classrelease__docs_1_1WikiBrancher.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">release_docs.WikiBrancher Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for release_docs.WikiBrancher:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classrelease__docs_1_1WikiBrancher__inherit__graph.svg" width="210" height="112"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for release_docs.WikiBrancher:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classrelease__docs_1_1WikiBrancher__coll__graph.svg" width="210" height="112"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a344b32e2b65f0e8bab9fbf1e670d33fd"><td class="memItemLeft" align="right" valign="top"><a id="a344b32e2b65f0e8bab9fbf1e670d33fd"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>__init__</b> (self, dot_version)</td></tr>
<tr class="separator:a344b32e2b65f0e8bab9fbf1e670d33fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a05fc4282f501fb0210ecb33fd1d209a6"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classrelease__docs_1_1WikiBrancher.html#a05fc4282f501fb0210ecb33fd1d209a6">GetFilesToBranch</a> (self)</td></tr>
<tr class="separator:a05fc4282f501fb0210ecb33fd1d209a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5ef284f7e1742f465ecd0c14d2667327"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classrelease__docs_1_1WikiBrancher.html#a5ef284f7e1742f465ecd0c14d2667327">BranchFiles</a> (self)</td></tr>
<tr class="separator:a5ef284f7e1742f465ecd0c14d2667327"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa0bc4b1b78426fe7a8496d570b540f1d"><td class="memItemLeft" align="right" valign="top"><a id="aa0bc4b1b78426fe7a8496d570b540f1d"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>UpdateLinksInBranchedFiles</b> (self)</td></tr>
<tr class="separator:aa0bc4b1b78426fe7a8496d570b540f1d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:ad86478c9538ac0bf3916f67eb5da2910"><td class="memItemLeft" align="right" valign="top"><a id="ad86478c9538ac0bf3916f67eb5da2910"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>wiki_dir</b></td></tr>
<tr class="separator:ad86478c9538ac0bf3916f67eb5da2910"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae330aeef850b105795c5d75727448ba"><td class="memItemLeft" align="right" valign="top"><a id="aae330aeef850b105795c5d75727448ba"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>version_prefix</b></td></tr>
<tr class="separator:aae330aeef850b105795c5d75727448ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a938c78ba6e8adfb6af039dd500ac6466"><td class="memItemLeft" align="right" valign="top"><a id="a938c78ba6e8adfb6af039dd500ac6466"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>files_to_branch</b></td></tr>
<tr class="separator:a938c78ba6e8adfb6af039dd500ac6466"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a029ce9007fefd6ac5f13bacdedb29af5"><td class="memItemLeft" align="right" valign="top"><a id="a029ce9007fefd6ac5f13bacdedb29af5"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>search_for_re</b></td></tr>
<tr class="separator:a029ce9007fefd6ac5f13bacdedb29af5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa33d991e629cc94fbfefe4f8569e283e"><td class="memItemLeft" align="right" valign="top"><a id="aa33d991e629cc94fbfefe4f8569e283e"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>replace_with</b></td></tr>
<tr class="separator:aa33d991e629cc94fbfefe4f8569e283e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ac9c796f95690cca04049b557055443"><td class="memItemLeft" align="right" valign="top"><a id="a4ac9c796f95690cca04049b557055443"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>project</b></td></tr>
<tr class="separator:a4ac9c796f95690cca04049b557055443"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><pre class="fragment">Branches ...</pre> </div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a5ef284f7e1742f465ecd0c14d2667327"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5ef284f7e1742f465ecd0c14d2667327">&#9670;&nbsp;</a></span>BranchFiles()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def release_docs.WikiBrancher.BranchFiles </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Branches the .wiki files needed to be branched.</pre> 
</div>
</div>
<a id="a05fc4282f501fb0210ecb33fd1d209a6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a05fc4282f501fb0210ecb33fd1d209a6">&#9670;&nbsp;</a></span>GetFilesToBranch()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def release_docs.WikiBrancher.GetFilesToBranch </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Returns a list of .wiki file names that need to be branched.</pre> 
</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>release_docs.py</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>release_docs</b></li><li class="navelem"><a class="el" href="classrelease__docs_1_1WikiBrancher.html">WikiBrancher</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
